use std::io::{self};

fn main() -> io::Result<()> {
    let count = (152085..670283)
        .map(|i| i.to_string())
        .filter(|pass| {
            let mut chars = pass.chars();
            let mut last = chars.next().unwrap();
            for char in chars {
                if char < last {
                    return false;
                }
                last = char;
            }
            true
        })
        .filter(|pass| {
            let mut matches: Vec<usize> = vec![];
            let mut chars = pass.chars();
            let mut last = chars.next().unwrap();
            let mut matchlen = 1;
            for char in chars {
                if char == last {
                    matchlen += 1;
                } else {
                    matches.push(matchlen);
                    matchlen = 1;
                }
                last = char;
            }
            matches.push(matchlen);
            if let Some(_) = matches.iter().position(|i| *i == 2) {
                return true;
            }
            false
        })
        .count();
    println!("count: {}", count);
    Ok(())
}
